Update Variable Declaration
PUT {{apiPath}}/environments/{{envID}}/promotionVariableDeclarations/{{configResourceID}}
Use the PUT {{apiPath}}/environments/{{envID}}/promotionVariableDeclarations/{{configResourceID}} request to update a promotion declaration in the specified environment.
When creating or updating promotion variable declarations, if the bound resource attribute is classified as sensitive (such as for client secrets or passwords), the associated variable definition in the target environment must also be marked as sensitive (the isSensitive attribute set to true). If it is not, the request fails with a validation error.
|
Request Model
| Property | Type | Required? |
|---|---|---|
|
Map |
Required |
Example Request
-
cURL
-
C#
-
Go
-
HTTP
-
Java
-
jQuery
-
NodeJS
-
Python
-
PHP
-
Ruby
-
Swift
curl --location --globoff --request PUT '{{apiPath}}/environments/{{envID}}/promotionVariableDeclarations/{{configResourceID}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{accessToken}}' \
--data '{
"variables": {"homePageUrl": "${promotionVariable: homePageUrlVar}"}
}'
var options = new RestClientOptions("{{apiPath}}/environments/{{envID}}/promotionVariableDeclarations/{{configResourceID}}")
{
MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Put);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Authorization", "Bearer {{accessToken}}");
var body = @"{" + "\n" +
@" ""variables"": {""homePageUrl"": ""${promotionVariable: homePageUrlVar}""}" + "\n" +
@"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "{{apiPath}}/environments/{{envID}}/promotionVariableDeclarations/{{configResourceID}}"
method := "PUT"
payload := strings.NewReader(`{
"variables": {"homePageUrl": "${promotionVariable: homePageUrlVar}"}
}`)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Content-Type", "application/json")
req.Header.Add("Authorization", "Bearer {{accessToken}}")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}
PUT /environments/{{envID}}/promotionVariableDeclarations/{{configResourceID}} HTTP/1.1
Host: {{apiPath}}
Content-Type: application/json
Authorization: Bearer {{accessToken}}
{
"variables": {"homePageUrl": "${promotionVariable: homePageUrlVar}"}
}
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n \"variables\": {\"homePageUrl\": \"${promotionVariable: homePageUrlVar}\"}\n}");
Request request = new Request.Builder()
.url("{{apiPath}}/environments/{{envID}}/promotionVariableDeclarations/{{configResourceID}}")
.method("PUT", body)
.addHeader("Content-Type", "application/json")
.addHeader("Authorization", "Bearer {{accessToken}}")
.build();
Response response = client.newCall(request).execute();
var settings = {
"url": "{{apiPath}}/environments/{{envID}}/promotionVariableDeclarations/{{configResourceID}}",
"method": "PUT",
"timeout": 0,
"headers": {
"Content-Type": "application/json",
"Authorization": "Bearer {{accessToken}}"
},
"data": JSON.stringify({
"variables": {
"homePageUrl": "${promotionVariable: homePageUrlVar}"
}
}),
};
$.ajax(settings).done(function (response) {
console.log(response);
});
var request = require('request');
var options = {
'method': 'PUT',
'url': '{{apiPath}}/environments/{{envID}}/promotionVariableDeclarations/{{configResourceID}}',
'headers': {
'Content-Type': 'application/json',
'Authorization': 'Bearer {{accessToken}}'
},
body: JSON.stringify({
"variables": {
"homePageUrl": "${promotionVariable: homePageUrlVar}"
}
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
import requests
import json
url = "{{apiPath}}/environments/{{envID}}/promotionVariableDeclarations/{{configResourceID}}"
payload = json.dumps({
"variables": {
"homePageUrl": "${promotionVariable: homePageUrlVar}"
}
})
headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer {{accessToken}}'
}
response = requests.request("PUT", url, headers=headers, data=payload)
print(response.text)
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/environments/{{envID}}/promotionVariableDeclarations/{{configResourceID}}');
$request->setMethod(HTTP_Request2::METHOD_PUT);
$request->setConfig(array(
'follow_redirects' => TRUE
));
$request->setHeader(array(
'Content-Type' => 'application/json',
'Authorization' => 'Bearer {{accessToken}}'
));
$request->setBody('{\n "variables": {"homePageUrl": "${promotionVariable: homePageUrlVar}"}\n}');
try {
$response = $request->send();
if ($response->getStatus() == 200) {
echo $response->getBody();
}
else {
echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
$response->getReasonPhrase();
}
}
catch(HTTP_Request2_Exception $e) {
echo 'Error: ' . $e->getMessage();
}
require "uri"
require "json"
require "net/http"
url = URI("{{apiPath}}/environments/{{envID}}/promotionVariableDeclarations/{{configResourceID}}")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Put.new(url)
request["Content-Type"] = "application/json"
request["Authorization"] = "Bearer {{accessToken}}"
request.body = JSON.dump({
"variables": {
"homePageUrl": "\${promotionVariable: homePageUrlVar}"
}
})
response = http.request(request)
puts response.read_body
let parameters = "{\n \"variables\": {\"homePageUrl\": \"${promotionVariable: homePageUrlVar}\"}\n}"
let postData = parameters.data(using: .utf8)
var request = URLRequest(url: URL(string: "{{apiPath}}/environments/{{envID}}/promotionVariableDeclarations/{{configResourceID}}")!,timeoutInterval: Double.infinity)
request.addValue("application/json", forHTTPHeaderField: "Content-Type")
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")
request.httpMethod = "PUT"
request.httpBody = postData
let task = URLSession.shared.dataTask(with: request) { data, response, error in
guard let data = data else {
print(String(describing: error))
return
}
print(String(data: data, encoding: .utf8)!)
}
task.resume()
Example Response
200 OK
{
"_links": {
"self": {
"href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/promotionVariableDeclarations/d8e643d9-105b-4f59-82f0-e549a34ee0c0"
},
"environment": {
"href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
}
},
"environment": {
"id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
},
"resource": {
"id": "d8e643d9-105b-4f59-82f0-e549a34ee0c0"
},
"variables": {
"homePageUrl": "${promotionVariable: homePageUrlVar}"
},
"createdAt": "2024-09-09T17:37:23.136Z",
"updatedAt": "2024-09-11T14:58:47.510Z"
}